local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onTalk()
	if getFlag("deepwell_esponjo_nothappy") then
	    disableMovement()
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_DeepWell_Esponjo2"))	
	else
	if getFlag("deepwell_interactedwith_coral") and not getFlag("deepwell_interactedwith_esponjo") then
		disableMovement()
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_DeepWell_Esponjo3"))	
	else
		disableMovement()
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_DeepWell_Esponjo"))
		setFlag("deepwell_interactedwith_esponjo")
		end
	end
end

function onEnd(room, wasSkipped)
   enableMovement()
end